
Redmine - Defect #3589

User removed from project - still getting project update emails

2009-07-06 02:38 - Galaxy King

Status: Closed Start date: 2009-07-06

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version: 0.9.0   

Resolution: Fixed Affected version: 0.8.7

Description

When a user is added and removed from the project, after removing the user from project - he still keep on getting email regarding

that project.

- Create project

- Add user 1

- Add user 2

- Add user 3

- Enabled "Message Add" in Admin

- Create form and start conversation

- Email goes to all user's

- Remove user 2 from project

- Email is still going to user 2 about form updates, even user 2 is not part of the project.

Related issues:

Related to Redmine - Patch #4263: Users getting notifications for issues they... Closed 2009-11-22

Has duplicate Redmine - Defect #4385: User removed from the project, but foll... Closed 2009-12-11

Associated revisions

Revision 3121 - 2009-12-03 22:28 - Jean-Philippe Lang

Do not notify users that are no longer allowed to view an issue (#3589, #4263).

Revision 3167 - 2009-12-13 13:39 - Jean-Philippe Lang

Makes user unwatch what he can no longer view after its permissions have changed (#3589).

A rake task (redmine:watchers:prune) is also added to prune existing watchers.

Revision 3169 - 2009-12-13 15:26 - Jean-Philippe Lang

Make sure users don't get notified for thing they can not view (#3589).

History

#1 - 2009-07-18 10:17 - Jean-Philippe Lang

I think user 2 is still watching the ticket. That's why he receives emails about updates.

Can you check ?

#2 - 2009-07-19 02:00 - Galaxy King

Yes, you are right - once the user2 was removed from project, issue which were watched by user2 did not remove him.

Issues - one can see who is watching and can be removed

Forum's - if i post a message in forum, user2 is still getting the message, after i removed user2 from the project.

But, all in all, you are right. It has to do something with "watching" status.

Thanks - let me know if more testing is required.

#3 - 2009-07-19 02:03 - Galaxy King

Galaxy King wrote:

Yes, you are right - once the user2 was removed from project, issue which were watched by user2 did not remove him.
Issues - one can see who is watching and can be removed

Forum's - if i post a message in forum, user2 is still getting the message, after i removed user2 from the project.

But, all in all, you are right. It has to do something with "watching" status.

Thanks - let me know if more testing is required.

 Also, is there a way for admin to remove users from watched list? Thanks

#4 - 2009-12-13 13:38 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.9.0

- Affected version (unused) set to 0.8.7

- Resolution set to Fixed

- Affected version set to 0.8.7

Fixed in r3167. Changing user permission now removes watchers lists accordingly.

You can use the following task to prune existing watchers from your database:

rake redmine:watchers:prune RAILS_ENV=production
